Software Center does not use proxy setting correctly, so reviews don't load after update to 5.2

Bug #982567 reported by Nicolás Abel Carbone on 2012-04-15
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

After updating to Software Center 5.2, reviews of the apps don't load. The review pane shows "Comprobando reseñas...." (something like "Checking for reviews...") and never loads.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: software-center 5.2
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.0.1-0ubuntu3
Architecture: amd64
Date: Sun Apr 15 17:04:44 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
PackageArchitecture: all
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Well, I found the problem.

Starting software-center from the terminal resulted in this output:

nicolas@nicolas-laphp-lin:~$ software-center
2012-04-15 17:28:52,199 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'http://proxy.exa.unicen.edu.ar:8080/'
2012-04-15 17:28:52,203 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True

The problem is that I have the proxy set to "None" in the network options (I used that proxy in the past in my university campus). I needed to set the proxy to Manual, empty the proxies fields and select Apply System-wide (or similar, I have Ubuntu in Spanish) in order to the Software center to actually use no proxy.

Is this a bug in the Software Center or in the network options? I don't have this problem in any other app.

summary: - Reviews don't load after update to 5.2
+ Software Center does not use proxy setting correctly, so reviews don't
+ load after update to 5.2
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Can you reproduce this somehow? Looking at the code this looks like a network applet issue, but if you can find steps
to reproduce this error and post that would make debugging this bug easier.

Thanks,
 Michael

Changed in software-center (Ubuntu):
status: New → Incomplete

The bug is easily reproducible.

- Go to proxy settings in network options.
- Set proxy to "manual", and enter any proxy address in the fields. Apply system-wide.
- Set proxy to "none". Apply system-wide.
- Open software-center in the terminal.

You'll see that Software Center is using the proxy, even when set to "none" in proxy settings. Reviews, recommendations, won't work. And, probably, the list of apps available won't update.

Changed in software-center (Ubuntu):
status: Incomplete → New
Ken VanDine (ken-vandine) wrote :

The problem is software-center isn't checking to see if the proxy is enabled, it is assuming it needs to use a proxy if the proxy host is set.

Michael Vogt (mvo) wrote :

Thanks for this fix Ken, I wrote a followup comment in the MP.

Hello Nicolás, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Langasek (vorlon) on 2012-05-16
Changed in software-center (Ubuntu Precise):
status: New → Fix Committed

I tested software-center 5.2.2, in precise-proposed, and this bug is fixed. Good job!

Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package software-center - 5.2.2

---------------
software-center (5.2.2) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/whatsnew-leak-lp985389:
    - search filter fix for the case when the "installed-only"
      filter leaks into subsequent searches (LP: #985389)
  * lp:~mvo/software-center/fix-lp994632:
    - add a dep to ensure we get the correct ubuntu-sso-client-gtk
      (LP: #994632)
  * lp:~mvo/software-center/proper-error-on-unknown-files:
    - show a proper error message when attempting to open unknown
      file types (LP: #944868)
  * lp:~mvo/software-center/lp921799:
    - fix crash when decoding screenshots JSON (LP: #921799)
  * lp:~mvo/software-center/lp959612:
    - fix crash when selecting the Installed view very quickly
      after startup (LP: #959612)

  [ Ken VanDine ]
  * lp:~ken-vandine/software-center/lp_982567:
    - Check if the proxy is enabled, if the proxy host is set but not
      enabled we shouldn't attempt to use the proxy (LP: #982567)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-crash-lp969732:
    - need to explicitly declare the needs-refresh signal in the
      AppTreeStore class to prevent a crash (LP: #969732)
  * lp:~gary-lasker/software-center/fix-crash-lp870822:
    - don't crash if we don't get a pkgversion object back
      (LP: #870822)
  * lp:~gary-lasker/software-center/fix-shutdown-crash-lp996333:
    - never crash when writing out the software center config file on
      shutdown (LP: #996333)
  * lp:~gary-lasker/software-center/fix-makedirs-race-crashes:
    - fix crash on race when creating the cache or config directories
      (LP: #743003, LP: #621182)
  * lp:~gary-lasker/software-center/fix-crash_lp973379:
    - ensure that the cache is ready before using the recommender
      service (LP: #973379 )
  * lp:~gary-lasker/software-center/toolbar-buttons-insensitive-during-startup:
    - set the toolbar buttons insensitive for the duration of time that the
      lobby panels are initializing (LP: #999486, LP: #994341)

  [ Robert Roth ]
  * lp:~evfool/software-center/bug532072:
    - escape markup for support info and license (LP: #993279)
    - ellipsize summary at trailing end (LP: #532072)
  * lp:~evfool/software-center/lp626037:
    - subtle background color tweak for consistency
      between views (LP: #626037)
  * lp:~evfool/software-center/lp835005:
    - no need for the software-properties dialog to be modal
      to software-center (LP: #835005)
  * lp:~evfool/software-center/lp839389:
    - don't display an "icon not found" image in the Unity
      launcher when a report a review window is opened (LP: #839389)
  * lp:~evfool/software-center/867588:
    - capitalize the first letter of the package summary
      (LP: #867588)
  * lp:~evfool/software-center/lp876657:
    - make sure the search field does not disappear when an
      install or remove is in progress (LP: #876657)
  * lp:~evfool/software-center/lp987797:
    - fix alignment in the reviews part of the appdetails (LP: #987797)
  * lp:~evfool/software-center/lp844768:
    - show a indeterminate progress bar when software-center waits for
      another ...

Read more...

Changed in software-center (Ubuntu Quantal):
status: New → Fix Released
Gary Lasker (gary-lasker) wrote :

Hi Nicolás, thank you for testing and verifying this fix (comment #9)! I'll set this one as verification-done.

Your help is much appreciated!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package software-center - 5.2.2

---------------
software-center (5.2.2) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/whatsnew-leak-lp985389:
    - search filter fix for the case when the "installed-only"
      filter leaks into subsequent searches (LP: #985389)
  * lp:~mvo/software-center/fix-lp994632:
    - add a dep to ensure we get the correct ubuntu-sso-client-gtk
      (LP: #994632)
  * lp:~mvo/software-center/proper-error-on-unknown-files:
    - show a proper error message when attempting to open unknown
      file types (LP: #944868)
  * lp:~mvo/software-center/lp921799:
    - fix crash when decoding screenshots JSON (LP: #921799)
  * lp:~mvo/software-center/lp959612:
    - fix crash when selecting the Installed view very quickly
      after startup (LP: #959612)

  [ Ken VanDine ]
  * lp:~ken-vandine/software-center/lp_982567:
    - Check if the proxy is enabled, if the proxy host is set but not
      enabled we shouldn't attempt to use the proxy (LP: #982567)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-crash-lp969732:
    - need to explicitly declare the needs-refresh signal in the
      AppTreeStore class to prevent a crash (LP: #969732)
  * lp:~gary-lasker/software-center/fix-crash-lp870822:
    - don't crash if we don't get a pkgversion object back
      (LP: #870822)
  * lp:~gary-lasker/software-center/fix-shutdown-crash-lp996333:
    - never crash when writing out the software center config file on
      shutdown (LP: #996333)
  * lp:~gary-lasker/software-center/fix-makedirs-race-crashes:
    - fix crash on race when creating the cache or config directories
      (LP: #743003, LP: #621182)
  * lp:~gary-lasker/software-center/fix-crash_lp973379:
    - ensure that the cache is ready before using the recommender
      service (LP: #973379 )
  * lp:~gary-lasker/software-center/toolbar-buttons-insensitive-during-startup:
    - set the toolbar buttons insensitive for the duration of time that the
      lobby panels are initializing (LP: #999486, LP: #994341)

  [ Robert Roth ]
  * lp:~evfool/software-center/bug532072:
    - escape markup for support info and license (LP: #993279)
    - ellipsize summary at trailing end (LP: #532072)
  * lp:~evfool/software-center/lp626037:
    - subtle background color tweak for consistency
      between views (LP: #626037)
  * lp:~evfool/software-center/lp835005:
    - no need for the software-properties dialog to be modal
      to software-center (LP: #835005)
  * lp:~evfool/software-center/lp839389:
    - don't display an "icon not found" image in the Unity
      launcher when a report a review window is opened (LP: #839389)
  * lp:~evfool/software-center/867588:
    - capitalize the first letter of the package summary
      (LP: #867588)
  * lp:~evfool/software-center/lp876657:
    - make sure the search field does not disappear when an
      install or remove is in progress (LP: #876657)
  * lp:~evfool/software-center/lp987797:
    - fix alignment in the reviews part of the appdetails (LP: #987797)
  * lp:~evfool/software-center/lp844768:
    - show a indeterminate progress bar when software-center waits for
      another ...

Read more...

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
Peter Wolf (onti) wrote :
Download full text (7.8 KiB)

The bug ist still not fixed for me...

2012-06-02 17:35:40,477 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2012-06-02 17:35:40,481 - softwarecenter.db.database - INFO - open() database: path=None use_axi=True use_agent=True
2012-06-02 17:35:40,615 - softwarecenter.backend.reviews - WARNING - Could not get usefulness from server, no username in config file
2012-06-02 17:35:40,734 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()
2012-06-02 17:35:40,765 - softwarecenter.backend.spawn_helper - WARNING - exit code 1 from helper for '['/usr/share/software-center/piston_generic_helper.py', '--datadir', '/usr/share/software-center/', 'RatingsAndReviewsAPI', 'review_stats']'
2012-06-02 17:35:40,765 - softwarecenter.backend.spawn_helper - WARNING - got error from helper: 'ERROR:__main__:urclient_apps
Traceback (most recent call last):
  File "/usr/share/software-center/piston_generic_helper.py", line 214, in <module>
    piston_reply = f(**kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/validators.py", line 44, in wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/validators.py", line 44, in wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/validators.py", line 65, in wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/__init__.py", line 136, in wrapper
    body = func(self, *args, **kwargs)
  File "/usr/share/software-center/softwarecenter/backend/piston/rnrclient_pristine.py", line 97, in review_stats
    return self._get(url, scheme=PUBLIC_API_SCHEME)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/__init__.py", line 356, in _get
    headers=headers)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/__init__.py", line 511, in _request
    method=method, body=body, headers=headers)
  File "/usr/local/lib/python2.7/dist-packages/httplib2/__init__.py", line 972, in request
    cached_value = self.cache.get(cachekey)
  File "/usr/local/lib/python2.7/dist-packages/httplib2/__init__.py", line 619, in get
    cacheFullPath = os.path.join(self.cache, self.safe(key))
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/__init__.py", line 70, in safename
    filemd5 = _md5(filename).hexdigest()
AttributeError: 'NoneType' object has no attribute 'hexdigest'
'
2012-06-02 17:35:43,011 - softwarecenter.backend.spawn_helper - WARNING - exit code 1 from helper for '['/usr/share/software-center/piston_generic_helper.py', '--datadir', '/usr/share/software-center/', 'SoftwareCenterAgentAPI', 'exhibits', '{"lang": "de", "series": "precise"}']'
2012-06-02 17:35:43,012 - softwarecenter.backend.spawn_helper - WARNING - got error from helper: 'ERROR:__main__:urclient_apps
Traceback (most recent call last):
  File "/usr/share/software-center/piston_generic_helper.py", line 214, in <module>
    piston_reply = f(**kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/validators.py", line 44, in wrapper
    return func(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/piston_mini_client/validators.py", line 44, in wrapper
  ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers